[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'rttiutils' (#fcl)

# TPropsStorage.OnEraseSection

Erase a section in storage

## Declaration

Source position: rttiutils.pp line 121

`public property TPropsStorage.OnEraseSection: TEraseSectEvent read FOnEraseSection write FOnEraseSection;`

## Description

OnEraseSection is the event handler called whenever TPropsStorage needs to clear a complete storage section. It should be set whenever stringlist properties need to be stored, or an exception will be raised.

## See also

OnReadString |  | Read a string value from storage
OnWriteString |  | Write a string value to storage
TEraseSectEvent |  | Clear a storage section

The latest version of this document can be found at lazarus-ccr.sourceforge.net.